import java.util.*;

public class Check
{
	public static final int MAXNM = 100;

	public static void printError(int line, String msg)
	{
		System.out.println("ERROR Line " + line + ": " + msg);
		System.exit(-1);
	}

	public static void main(String [] args)
	{
		Scanner in = new Scanner(System.in);
		int n, m, nLines = 0;
		String line;

		nLines++;
		line = in.nextLine();
		StringTokenizer st = new StringTokenizer(line);
		if (st.countTokens() != 2)
			printError(nLines, "incorrect number of values");
		n = Integer.parseInt(st.nextToken());
		if (n < 0 || n > MAXNM)
			printError(nLines, "incorrect value for n");
		m = Integer.parseInt(st.nextToken());
		if (m < 0 || m > MAXNM)
			printError(nLines, "incorrect value for m");
		for(int i=0; i<n; i++) {
			nLines++;
			int k = in.nextInt();
			line = in.nextLine();
			st = new StringTokenizer(line);
			if (st.countTokens() != k)
				printError(nLines, "incorrect number of values");
			if (k < 0)
				printError(nLines, "incorrect value for k");
			int sum = k-1;
			for(int j=0; j<k; j++) {
				int val = Integer.parseInt(st.nextToken());
				if (val < 1)
					printError(nLines, "incorrect value " + val);
				sum += val;
			}
			if (sum > m)
				printError(nLines, "sum of values on line to large: " + sum);
		}
		for(int i=0; i<m; i++) {
			nLines++;
			int k = in.nextInt();
			line = in.nextLine();
			st = new StringTokenizer(line);
			if (st.countTokens() != k)
				printError(nLines, "incorrect number of values");
			if (k < 0)
				printError(nLines, "incorrect value for k");
			int sum = k-1;
			for(int j=0; j<k; j++) {
				int val = Integer.parseInt(st.nextToken());
				if (val < 1)
					printError(nLines, "incorrect value " + val);
				sum += val;
			}
			if (sum > n)
				printError(nLines, "sum of values on line to large: " + sum);
		}
		if (in.hasNext())
			printError(nLines, "extraneous data at end of file");
System.exit(42);
	}
}
