import java.util.*;

public class NonoVerifier 
{
	public static void main(String[] args) throws Exception
	{
		Scanner scan = new Scanner(System.in);
		int rows = scan.nextInt();
		int cols = scan.nextInt();
		
		if (rows < 1 || rows > 100)
		{
			throw new Exception("Illegal number of rows");
		}
		
		if (cols < 1 || cols > 100)
		{
			throw new Exception("Illegal number of cols");
		}
		
		for (int i = 0; i < rows; i++)
		{
			int numNums = scan.nextInt();
			int[] values = new int[numNums];
			int minimumSpaceNeeded = numNums - 1;
			
			for (int j = 0; j < numNums; j++)
			{
				values[j] = scan.nextInt();
				minimumSpaceNeeded += values[j];
				
				if (values[j] <= 0)
				{
					throw new Exception("Illegal value of " + values[j] + " in row " + i);
				}
			}
			
			if (minimumSpaceNeeded > cols)
			{
				throw new Exception("Not enough room for everything in row " + i);
			}
		}
		
		for (int i = 0; i < cols; i++)
		{
			int numNums = scan.nextInt();
			int[] values = new int[numNums];
			int minimumSpaceNeeded = numNums - 1;
			
			for (int j = 0; j < numNums; j++)
			{
				values[j] = scan.nextInt();
				minimumSpaceNeeded += values[j];
				
				if (values[j] <= 0)
				{
					throw new Exception("Illegal value of " + values[j] + " in row " + i);
				}
			}
			
			if (minimumSpaceNeeded > rows)
			{
				throw new Exception("Not enough room for everything in col " + i);
			}
		}
		
		if (scan.hasNext())
		{
			throw new Exception("Too much data in file");
		}
System.exit(42);
	}
}
